name: primitive
version: 0.6.4.0
id: primitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b
key: primitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b
license: BSD-3-Clause
copyright: (c) Roman Leshchinskiy 2009-2012
maintainer: libraries@haskell.org
author: Roman Leshchinskiy <rl@cse.unsw.edu.au>
homepage: https://github.com/haskell/primitive
synopsis: Primitive memory-related operations
description:
    This package provides various primitive memory-related operations.
category: Data
abi: 52b0feca7b036464c52647d2d723c91d
exposed: True
exposed-modules:
    Control.Monad.Primitive Data.Primitive Data.Primitive.Addr
    Data.Primitive.Array Data.Primitive.ByteArray Data.Primitive.MVar
    Data.Primitive.MachDeps Data.Primitive.MutVar
    Data.Primitive.PrimArray Data.Primitive.Ptr
    Data.Primitive.SmallArray Data.Primitive.Types
    Data.Primitive.UnliftedArray
hidden-modules: Data.Primitive.Internal.Compat
                Data.Primitive.Internal.Operations
import-dirs: /usr/local/lib/ghc/primitive-0.6.4.0
library-dirs: /usr/local/lib/ghc/primitive-0.6.4.0
dynamic-library-dirs: /usr/local/lib/ghc/primitive-0.6.4.0
data-dir: /usr/local/share/hs-primitive-0.6.4.0
hs-libraries: HSprimitive-0.6.4.0-ILgywxtLpvnAOlEISPpP5b
include-dirs: /usr/local/lib/ghc/primitive-0.6.4.0/include
includes:
    primitive-memops.h
depends:
    base-4.12.0.0 ghc-prim-0.5.3 transformers-0.5.6.2
haddock-interfaces: /usr/local/share/doc/hs-primitive-0.6.4.0/html/primitive.haddock
haddock-html: /usr/local/share/doc/hs-primitive-0.6.4.0/html
